﻿//using Syncfusion.Pdf.Graphics;
using Syncfusion.XForms.TabView;
using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
//using System.Data.SqlClient;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Shimmer_Sample
{
    class ClientiViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            this.PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        private bool isactive;
        public bool IsActive
        {
            get { return isactive; }
            set
            {
                isactive = value;
                OnPropertyChanged();
            }
        }

        private ObservableCollection<PropertyClienti> propertyClientis;
        public ObservableCollection<PropertyClienti> PropertyClientis
        {
            get
            { 
                return propertyClientis;
            }
            set
            {
                if (propertyClientis != value)
                {
                    propertyClientis = value;
                    OnPropertyChanged();
                }
            }
        }
        public ClientiViewModel()
        {
            PropertyClientis = new ObservableCollection<PropertyClienti>();
            try
            {
                IsActive = true;
                for (int i = 0; i< 10; i++)
                {
                    PropertyClientis.Add(new PropertyClienti
                    {
                        CdFc = "Codice fiscale: " + i.ToString(),
                        Denominazione = i.ToString(),
                        Email = "Email: " + i.ToString(),
                        Contatore = i
                    });
                }
                //using (var connection = new SqlConnection(Connessione.Path))
                //{
                //    connection.Open();
                //    var command = connection.CreateCommand();
                //    string sql = string.Empty;
                //    if (Parametri.Master == true)
                //    {
                //        sql = "SELECT Key_cf, App_Denominazione, App_Mail,App_Coll,App_Check_Gestore FROM Clienti_App WHERE App_Master='false' ORDER BY App_Denominazione";
                //    }
                //    else
                //    {
                //        sql = "SELECT Key_cf, App_Denominazione, App_Mail,App_Coll,App_Check_Gestore FROM Clienti_App WHERE App_Coll = @cf and App_Check_Gestore='false' ORDER BY App_Denominazione";
                //    }
                //    command.CommandText = sql;
                //    command.Parameters.AddWithValue("@cf", Parametri.CodfiscLog);
                //    command.Parameters.AddWithValue("@chk", Parametri.CheckID);
                //    int contarow = 0;
                //    using (var reader = command.ExecuteReader())
                //    {
                //        while (reader.Read())

                //        {
                //            string strmail = string.Empty;

                //            if (reader.GetSqlString(2) == "0")
                //            {
                //                strmail = "Email non presente";
                //            }
                //            else
                //            {
                //                strmail = Convert.ToString(reader.GetSqlString(2));
                //            }

                //            contarow += 1;

                //            PropertyClientis.Add(new PropertyClienti
                //            {
                //                CdFc = "Codice fiscale: " + reader.GetString(0),
                //                Denominazione = reader.GetString(1),
                //                Email = "Email: " + strmail,
                //                Contatore = contarow,
                //                IsActive = true
                //            });

                //        }
                //        connection.Close();
                //        return;
                //    }
                //}

            }
            catch (Exception)
            {
            }

        }

    }


}
